/* 
 * dapi.c: j3d decoder api
 * Copyright (C) 2001 Axel Burri <aburri@ee.ethz.ch>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * This program also contains code from the free IJG JPEG codec
 * software by Thomas G. Lane (www.ijg.org)
 *
 */

#define J3D_INTERNALS
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "j3dlib.h"




/*
 * creates a compress struct (cinfo)
 */
j3d_decompress_ptr j3d_create_decompress() {
    j3d_decompress_ptr cinfo;
    cinfo = (j3d_decompress_ptr) malloc(sizeof(struct j3d_decompress_struct));
    /* zero the whole stuff */
    memset((void *)(cinfo), 0, (size_t)sizeof(*cinfo));
    return cinfo;
}



/*
 * initialize compression modules
 */
void j3d_init_decompress(j3d_decompress_ptr cinfo) {
    /* the main controller will initialize all other modules needed */
    j3d_init_d_main_controller(cinfo);
}



/*
 * start compression, use parameters from cinfo
 */
void j3d_start_decompress(j3d_decompress_ptr cinfo) {
    cinfo->main->decompress(cinfo);
}
