/* 
 * dparam.c: parameter settings
 * Copyright (C) 2001 Axel Burri <aburri@ee.ethz.ch>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * This program also contains code from the free IJG JPEG codec
 * software by Thomas G. Lane (www.ijg.org)
 *
 */


#define J3D_INTERNALS
#include <stdlib.h>
#include <stdio.h>
#include "j3dlib.h"


#define DCTDEPTH     8   /* The basic DCT block is 8x8x8 samples */


void j3d_d_set_std_params(j3d_decompress_ptr cinfo) {
    int i;
    
    cinfo->max_depth = DCTDEPTH;

    cinfo->coef_zigzag_order_8 = j3d_std_coef_zigzag(cinfo);

    /* zero all tables */
    for(i = 0; i < MAX_QUANT_TBLS; i++) cinfo->quant_tbl_ptrs[i] = NULL;
    for(i = 0; i < MAX_HUFF_TBLS; i++) {
        cinfo->dc_huff_tbl_ptrs[i] = NULL;
        cinfo->ac_huff_tbl_ptrs[i] = NULL;
    }
}


